import React from 'react';
import { BasicFormComponent } from '../__types__';
declare type TextFieldProps = BasicFormComponent & {
    maxLength?: number;
    fitText?: boolean;
    showProgress?: boolean;
    autoResize?: boolean;
    autoResizeMinHeight?: number;
    debounceTimeout?: number;
};
declare type State = {
    isFocus: boolean;
    _handleHeight: number;
};
export declare class TextArea extends React.Component<TextFieldProps, State> {
    $hiddenArea: React.RefObject<HTMLTextAreaElement>;
    static defaultProps: {
        withContext: boolean;
    };
    state: {
        isFocus: boolean;
        _handleHeight: number;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate({ value: prevValue }: TextFieldProps): void;
    getHandleHeight: () => number;
    onChange: (currentValue: string) => void;
    onBlur: (event: React.FocusEvent<HTMLTextAreaElement>) => void;
    onFocus: (event: React.FocusEvent<HTMLInputElement>) => void;
    static contextType: React.Context<{}>;
    render(): JSX.Element;
}
export {};
